%define	name	x86info
%define	version	1.23
%define realver	%{version}
#define cvsdate	20050420

Summary:	Show x86 CPU information
Name:		%{name}
Version:	%{version}
Release:	%mkrel 1	
License:	GPL
Group:		System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.codemonkey.org.uk/projects/x86info/
Source0:	%{name}-%{realver}%{?cvsdate:-%{cvsdate}}.tar.bz2
Patch0:		x86info-1.17-intel-flags.patch
Patch1:		x86info-1.17-intel-caches.patch
Patch2:		x86info-1.17-cpuid-with-ecx-input.patch
Patch3:		x86info-1.17-intel-multicore-htt.patch
Patch4:		x86info-1.17-intel-caches-cpuid4.patch
Patch5:		x86info-1.17-amd-multicore.patch

# Will never work on sparc, neither on ppc/alpha...
ExclusiveArch:	%{ix86} x86_64 amd64

%description
Unlike other 'cpuinfo' tools which just parse /proc/cpuinfo, x86info probes
the CPU registers to find out a lot more information. It can discover the
contents of model-specific registers, discover CPU silicon revisions, and
lots more.

%prep
%setup -q -n %{name}-%{realver}

%build
make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -m755 %{name} %{buildroot}%{_bindir}/
install -m755 %{name}.1 %{buildroot}%{_mandir}/man1/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
%{_bindir}/*
%{_mandir}/man1/*




%changelog
* Thu Jan 22 2009 Giuseppe Ghibò <ghibo@mandriva.com> 1.23-1mdv2008.1
+ Revision: 332630
- Release 1.23.
- Disable parallel building (deps errors on some 8 core building host).

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.21-4mdv2009.0
+ Revision: 262227
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.21-3mdv2009.0
+ Revision: 256561
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Tue Nov 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.21-1mdv2008.1
+ Revision: 113388
- new release

  + Erwan Velu <erwan@mandriva.org>
    - Fixing url


* Sun Feb 18 2007 Jérôme Soyer <saispo@mandriva.org> 1.20-1mdv2007.0
+ Revision: 122272
- Fix release tag
- New release 1.20
- Import x86info

* Wed Mar 22 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.17-1mdk
- 1.17
- add Intel flags (vmx, sse4, lahf_lm)
- fix Intel caches detection on x86_64
- fix Intel HTT detection and report multicore CPUs
- add generic Intel caches characterisation (cpuid(4))
- add AMD multicore detection

* Thu Oct 13 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.16-1mdk
- 1.16

* Fri Aug 19 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.13b-6mdk
- new AMD revision guide is now public

* Sun Aug 07 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.13b-5mdk
- 1.13 final + CVS 2005/04/20 for native x86_64 support

* Thu Mar 10 2005 Olivier Thauvin <nanardon@mandrake.org> 1.13b-4mdk
- exclude all arch except i586/amd64

* Sat May 08 2004 Erwan Velu <erwan@mandrakesoft.com> 1.13b-3mdk
- Newest cvs
- More AMD64 processors supported
- Remove Patch0 (merged upstream)

* Fri Mar 12 2004 Erwan Velu <erwan@mandrakesoft.com> 1.13b-2mdk
- Oups patch was empty :(

* Fri Mar 12 2004 Erwan Velu <erwan@mandrakesoft.com> 1.13b-1mdk
- New cvs release (more proc supported)
- Adding HT patch for reading siblings (kernel give better results but that's better than "0")

